Edit, or turn delivery on or off
PATCH
/v1/workspace/integrations/webhooks/destinations/{destination_id}
const url = 'https://api.vocapable.com/v1/workspace/integrations/webhooks/destinations/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"url":"example","events":["example"],"label":"example","delivery":"on"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.vocapable.com/v1/workspace/integrations/webhooks/destinations/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "url": "example", "events": [ "example" ], "label": "example", "delivery": "on" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”destination_id
required
Destination Id
string
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceWebhookDestination
object
id
required
Id
string
installation_id
required
Installation Id
string
kind
required
Kind
string
url
required
Url
string
events
required
Events
Array<string>
status
required
Status
string
delivered
required
Delivered
integer
pending
required
Pending
integer
exhausted
required
Exhausted
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Example
{ "kind": "workspace", "status": "active"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}